﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace OyakoStoryboardTest
{
    public partial class Fafamama : UserControl
    {
        public enum BornType { Normal = 0, OverSpeed = 1, Loaded = 2 }
        public enum ChildType { Daughter = 0, Son = 1 }

        public Fafamama(BornType bornType, ChildType childType)
        {
            InitializeComponent();

            switch (bornType)
            {
                case BornType.Normal:
                default:
                    break;
                case BornType.OverSpeed:
                    if (childType == ChildType.Daughter)
                        MakeDaughters();
                    else
                        MakeSons();
                    break;
                case BornType.Loaded:
                    if (childType == ChildType.Daughter)
                        Loaded += new RoutedEventHandler(Oya_Loaded_Daughter);
                    else
                        Loaded += new RoutedEventHandler(Oya_Loaded_Son);
                    
                    break;
            }
        }

        void Oya_Loaded_Son(object sender, RoutedEventArgs e)
        {
            MakeSons();
        }

        void Oya_Loaded_Daughter(object sender, RoutedEventArgs e)
        {
            MakeDaughters();
        }

        public void MakeSons()
        {
            for (int i = 0; i < 2; i++)
            {
                Son son = new Son();
                son.SetValue(Canvas.LeftProperty, (double)(100 * i));

                try
                {
                    LayoutRoot.Children.Add(son);
                }
                catch (Exception ex)
                {
                    HtmlPage.Window.Alert(ex.Message);
                }

                son.sbShow.Begin();
            }
        }

        public void MakeDaughters()
        {
            for (int i = 0; i < 2; i++)
            {
                Daughter daughter = new Daughter();
                daughter.SetValue(Canvas.LeftProperty, (double)(100 * i));

                try
                {
                    LayoutRoot.Children.Add(daughter);
                }
                catch (Exception ex)
                {
                    HtmlPage.Window.Alert(ex.Message);
                }

                daughter.sbShowDaughter.Begin();
            }
        }
    }
}
